0

Do we know if there are speculative execution attacks that affect ARMv7 CPUs at this time? Are there any theoretical risks that need further investigation?

1

ARMv7 is a version of the ARM CPU specification, not a specific CPU design.

Some ARMv7 implementations, like Cortex-A15, make use of speculative execution and are affected by the Spectre vulnerability. Others, like Cortex-A5, do not implement speculative execution and are unaffected.

For details on which ARM cores are affected and what mitigations exist, refer to: https://developer.arm.com/support/arm-security-updates/speculative-processor-vulnerability

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.